# eric7.QScintilla.TypingCompleters.CompleterYaml

Module implementing a typing completer for Python.

### Global Attributes

None

### Classes

CompleterYaml | Class implementing typing completer for Python.

### Functions

None

## CompleterYaml

Class implementing typing completer for Python.

### Derived from

CompleterBase

### Class Attributes

None

### Class Methods

None

### Methods

CompleterYaml | Constructor
__inComment | Private method to check, if the cursor is inside a comment.
charAdded | Public slot called to handle the user entering a character.
readSettings | Public slot called to reread the configuration parameters.

### Static Methods

None

#### CompleterYaml (Constructor)

CompleterYaml(editor, parent=None)

Constructor

editor (QScintilla.Editor)
  reference to the editor object
parent (QObject)
  reference to the parent object

#### CompleterYaml.__inComment

__inComment(line, col)

Private method to check, if the cursor is inside a comment.

line (int)
  current line
col (int)
  current position within line

Return:
  flag indicating, if the cursor is inside a comment

Return Type:
  bool

#### CompleterYaml.charAdded

charAdded(charNumber)

Public slot called to handle the user entering a character.

charNumber (int)
  value of the character entered

#### CompleterYaml.readSettings

readSettings()

Public slot called to reread the configuration parameters.

Up